Author Topic: Consults about "VLR-COPIED" and "VLR-UNERASED" question ?  (Read 1674 times)

0 Members and 1 Guest are viewing this topic.

hunterxyz

  • Guest
Consults about "VLR-COPIED" and "VLR-UNERASED" question ?
« on: July 30, 2007, 06:56:10 PM »



01.
How to obtain, after "VLR-COPIED" execution, thing?
The procedure has the demonstration, but why is unable to obtain the thing.

02.
How to compile, "VLR-UNERASED"  reposition routine?

Hoped that the moderator perhaps other masters may explain.
Thanks!


Code: [Select]

(DEFUN AR_AE_RR_COPIED
(NOTIFIER-OBJECT REACTOR-OBJECT PARAMETER-LIST / )
(IF (/= (CAR PARAMETER-LIST) 0)
  (PROGN
(PRINC PARAMETER-LIST)
(PRINC (ENTGET (CAR PARAMETER-LIST)))
; => _$ NIL ?????
)
)
)

(DEFUN AR_AE_RR_UNERASED
(NOTIFIER-OBJECT REACTOR-OBJECT PARAMETER-LIST / )
; How to compile, "VLR-UNERASED"  reposition routine?
)

(defun c:CRAREA ()
(SETQ NR-OBJ (CAR (ENTSEL "\n PLINE:")))
(SETQ PTDT (VLAX-CURVE-GETPOINTATPARAM NR-OBJ 0))
(SETQ vla-NR-OBJ (VLAX-ENAME->vla-OBJECT NR-OBJ))A
(SETQ DXF05_NR-OBJ (vla-GET-HANDLE VLA-NR-OBJ))
(SETQ BRK_VLA-NR-OBJ (LIST vla-NR-OBJ))
(SETQ EN-AREA (vla-GET-AREA VLA-NR-OBJ))
(SETQ EN-AREA-M (STRCAT (RTOS (/ EN-AREA 10000) 2 2) "㎡"))
(VL-CMDF "TEXT" PTDT 30 0 EN-AREA-M )
(SETQ RR-OBJ (ENTLAST))
(SETQ vla-RR-OBJ (VLAX-ENAME->vla-OBJECT RR-OBJ))
(SETQ DXF05_RR-OBJ (vla-GET-HANDLE VLA-RR-OBJ))
(VLR-PERS
(VLR-OBJECT-REACTOR
BRK_VLA-NR-OBJ
DXF05_RR-OBJ
'((:VLR-COPIED . AR_AE_RR_COPIED)
  (:VLR-UNERASED . AR_AE_RR_UNERASED)
    )
))
(prin1))

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: Consults about "VLR-COPIED" and "VLR-UNERASED" question ?
« Reply #1 on: July 30, 2007, 07:49:41 PM »

slightly off topic ..
which version of acad are you using ?
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.